
/*This file is Copyright 1992 by Dave Schreiber.  All Rights Reserved*/

/*Status of the find operation (continue, stop, or exit)*/
typedef enum FindStat {FIND_CONTINUE,FIND_STOP,FIND_CLOSE} FindStat;

/* Prototypes for functions defined in FF.c */
void _main(void);
FindStat findFiles(char *startingDir,
		   char *pattern,
		   BOOL recur);
FindStat doFileFind(BPTR startLock,
		    char *pattern,
		    BOOL recur);
void cleanup(ULONG err);
BOOL getUserSelections(void);
void disableWindowGadgets(void);
void enableWindowGadgets(void);
FindStat checkUserStatus(void);
BOOL browse(char *hail,
	    char *dir,
	    char *name);
BOOL handleMenuInput(UWORD menuNumber);
void initFileList(void);
void updateFileList(char *name,
		    char *nameOnly,
		    LONG dirEntryType);
void deleteFileList(void);
void putInDirList(UWORD code);
void deleteDirList(void);
void printError(char *first,
		char *second,
		char *third);
void setupPointerBuffers(void);
void setBusyPointer(void);
void updateBusyPointer(void);
void restorePointer(void);
BOOL openClipboard(UBYTE unit);
void writeStringToClipboard(char *string,
			    ULONG stringLen);
void closeClipboard(void);
void copyNameToClipboard(BOOL full);
void clipFileList(BOOL full);
void saveFileList(BOOL full);

/*Misc. defines*/
#define ESC (0x27)

/*The start of the name in a file list (after the (dir),<hl>, etc. stuff)*/
#define STARTOFNAME (6)

/*For the clipboard*/
#define ID_FTXT MAKE_ID('F','T','X','T')
#define ID_CHRS MAKE_ID('C','H','R','S')

/*End of FF.h*/

